[youtubei.js](../../../README.md) / [FormatUtils](../README.md) / download

# Function: download()

> **download**(`options`, `actions`, `playability_status`?, `streaming_data`?, `player`?, `cpn`?): `Promise`\<`ReadableStream`\<`Uint8Array`\>\>

## Parameters

• **options**: [`DownloadOptions`](../../Types/interfaces/DownloadOptions.md)

• **actions**: [`Actions`](../../../classes/Actions.md)

• **playability\_status?**: [`IPlayabilityStatus`](../../APIResponseTypes/interfaces/IPlayabilityStatus.md)

• **streaming\_data?**: [`IStreamingData`](../../APIResponseTypes/interfaces/IStreamingData.md)

• **player?**: [`Player`](../../../classes/Player.md)

• **cpn?**: `string`

## Returns

`Promise`\<`ReadableStream`\<`Uint8Array`\>\>

## Defined in

[src/utils/FormatUtils.ts:10](https://github.com/LuanRT/YouTube.js/blob/4729016fb98e7045ee4043857be7eef780c01e35/src/utils/FormatUtils.ts#L10)
